Subject: Re: [PATCH] ipw2x00: remove redundant variables len, ret, reason and crypt

From: Kalle Valo <[email-masked]>
Date: Tue, 31 Jul 2018 07:18:47 +0000 (UTC)

Colin King <[email-masked]> wrote:

> From: Colin Ian King <[email-masked]>
> 
> Variables len, ret, reason and crypt are assigned values that
> are never read, hence they are redundant and can be removed.
> 
> Note: For the variable ret, a return code is being assigned, but
> this is not returned and 0 is currently being returned, I believe
> this is OK.
> 
> Cleans up clang warnings:
> warning: variable 'len' set but not used [-Wunused-but-set-variable]
> variable 'ret' set but not used [-Wunused-but-set-variable]
> warning: variable 'reason' set but not used [-Wunused-but-set-variable]
> warning: variable 'crypt' set but not used [-Wunused-but-set-variable]
> 
> Signed-off-by: Colin Ian King <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

0e139e97f58e ipw2x00: remove redundant variables len, ret, reason and crypt

-- 
https://patchwork.kernel.org/patch/10518849/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches